fookb(1)

NAME
fookb - Xkb state indicator with optional Window Maker support

SYNOPSIS
fookb [options]

DESCRIPTION
fookb is a Xkb state indicator. It displays the icon corresponding to the number of Xkb locked group. You may use mouse-clicks to change Xkb locked group with mouse. Additionally, fookb can be configured to execute a program on changing group.

fookb man page is based on WMMail.app man page. Program was written from scratch.

To use fookb with the Window Maker Dock, simply drag the fookb icon to the Window Maker Dock (if fookb was compiled with Window Maker support).

OPTIONS

NB! Command line parameters take precedence over config file!

All the icons should be of the same size or fookb will refuse to run.
    fookb will warn you if you use icons of size more than 64x64, but it will try to run anyway.

--icon1
    Icon to show for the 1st Xkb group

--icon2
    Icon to show for the 2nd Xkb group

--icon3
    Icon to show for the 3rd Xkb group

--icon4
    Icon to show for the 4th Xkb group

--iconboom
    Icon to show when Xkb system goes crazy

-d,--display
    X display to use (normally not needed)

CONFIGURATION FILE
The configuration file consist of a single PropList dictionary, which in turn is composed of several PropList key-value pairs. The recognized keys is:

Icon1 Filename (mandatory)
    XPM file contains an icon for 1st XKB group.

Icon2 Filename (mandatory)
    XPM file contains an icon for 2nd XKB group.

Icon3 Filename (mandatory)
    XPM file contains an icon for 3rd XKB group.

Icon4 Filename (mandatory)
    XPM file contains an icon for 4th XKB group.

IconBoom Filename (mandatory)
    XPM file contains an icon for "broken Xkb". Please look in BUGS section.

Sound (Yes|No)
    fookb will run command from "Command" value (see below), if this parameter is set to "Yes". You'll receive (non-fatal) error message if this parameter is not defined. In any other case command will not be run.

Command command_to_run
    This command will be run if XKB locked group is changed and "Sound" is set to "Yes".

EXAMPLES
Here is an example of configuration file.

{
  Icon1 = "/usr/local/share/fookb/icon1.xpm";
  Icon2 = "/usr/local/share/fookb/icon2.xpm";
  Icon3 = "/usr/local/share/fookb/icon3.xpm";
  Icon4 = "/usr/local/share/fookb/icon4.xpm";
  IconBoom = "/usr/local/share/fookb/crash.xpm";
  Sound = "Yes";
  Command = "/usr/bin/play /usr/local/share/fookb/click.au";
}

FILES

~/.fookb
    fookb defaults

BUGS
Sometimes fookb receives message about changing XKB group, but message.state.group does not point to any existing XKB group. In this case fookb will show IconBoom (from config file) picture.

As far as I know the only way to look at this bug is to run vmware.

VERSION
This man page is [hopefully] up-to-date for version 4.1 of fookb.

AUTHORS

fookb is (c) 1998-2004 Alexey Vyskubov <alexey@mawhrin.net>.

This manpage was written by Alexey Vyskubov <alexey@mawhrin.net>.